GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
gdcm::network::PresentationContextRQ Class Reference

PresentationContextRQ Table 9-13 PRESENTATION CONTEXT ITEM FIELDS. More...

`#include <gdcmPresentationContextRQ.h>`

## Public Types

typedef std::vector < TransferSyntaxSub > ::size_type | SizeType

## Public Member Functions

| PresentationContextRQ ()
| PresentationContextRQ (UIDs::TSName asname, UIDs::TSName tsname=UIDs::ImplicitVRLittleEndianDefaultTransferSyntaxforDICOM)
| PresentationContextRQ (const PresentationContext &pc)
void | AddTransferSyntax (TransferSyntaxSub const &ts)
AbstractSyntax const & | GetAbstractSyntax () const
AbstractSyntax & | GetAbstractSyntax ()
SizeType | GetNumberOfTransferSyntaxes () const
uint8_t | GetPresentationContextID () const
TransferSyntaxSub const & | GetTransferSyntax (SizeType i) const
TransferSyntaxSub & | GetTransferSyntax (SizeType i)
std::vector< TransferSyntaxSub > const & | GetTransferSyntaxes () const
bool | operator== (const PresentationContextRQ &pc) const
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
void | SetAbstractSyntax (AbstractSyntax const &as)
void | SetPresentationContextID (uint8_t id)
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const

## Detailed Description

PresentationContextRQ Table 9-13 PRESENTATION CONTEXT ITEM FIELDS.

See Also
  PresentationContextAC

## Member Typedef Documentation

typedef std::vector<TransferSyntaxSub>::size_type gdcm::network::PresentationContextRQ::SizeType

## Constructor & Destructor Documentation

gdcm::network::PresentationContextRQ::PresentationContextRQ | ( |  | ) |

gdcm::network::PresentationContextRQ::PresentationContextRQ | ( | UIDs::TSName | asname,
|  | UIDs::TSName | tsname = `UIDs::ImplicitVRLittleEndianDefaultTransferSyntaxforDICOM`
| ) |  |

Initialize Presentation Context with AbstractSyntax set to asname and with a single TransferSyntax set to tsname (dfault to Implicit VR LittleEndian when not specified ).

gdcm::network::PresentationContextRQ::PresentationContextRQ | ( | const PresentationContext & | pc | ) |

## Member Function Documentation

void gdcm::network::PresentationContextRQ::AddTransferSyntax | ( | TransferSyntaxSub const & | ts | ) |

AbstractSyntax const& gdcm::network::PresentationContextRQ::GetAbstractSyntax | ( |  | ) | const

inline

AbstractSyntax& gdcm::network::PresentationContextRQ::GetAbstractSyntax | ( |  | ) |

inline

SizeType gdcm::network::PresentationContextRQ::GetNumberOfTransferSyntaxes | ( |  | ) | const

inline

uint8_t gdcm::network::PresentationContextRQ::GetPresentationContextID | ( |  | ) | const

TransferSyntaxSub const& gdcm::network::PresentationContextRQ::GetTransferSyntax | ( | SizeType | i | ) | const

inline

TransferSyntaxSub& gdcm::network::PresentationContextRQ::GetTransferSyntax | ( | SizeType | i | ) |

inline

std::vector<TransferSyntaxSub> const& gdcm::network::PresentationContextRQ::GetTransferSyntaxes | ( |  | ) | const

inline

bool gdcm::network::PresentationContextRQ::operator== | ( | const PresentationContextRQ & | pc | ) | const

inline

void gdcm::network::PresentationContextRQ::Print | ( | std::ostream & | os | ) | const

std::istream& gdcm::network::PresentationContextRQ::Read | ( | std::istream & | is | ) |

void gdcm::network::PresentationContextRQ::SetAbstractSyntax | ( | AbstractSyntax const & | as | ) |

void gdcm::network::PresentationContextRQ::SetPresentationContextID | ( | uint8_t | id | ) |

size_t gdcm::network::PresentationContextRQ::Size | ( |  | ) | const

const std::ostream& gdcm::network::PresentationContextRQ::Write | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- gdcmPresentationContextRQ.h